#!/bin/bash

if [ "$#" -ne 1 ]; then
  echo "Usage: $0 <base directory> <versions>."
  echo "The <base directory> contains an orig-folder and folders v1 to v<versions>."
  exit 1
fi

basedir=$1

#re='^[0-9]+$'
#if ! [[ $2 =~ $re ]] ; then
#   echo "error: First argument must be a number" >&2; exit 1
#fi
versions=$(cat $basedir/FaultSeeds.h | wc -l)
#$(find $basedir -mindepth 1 -maxdepth 1 -type d |  sort -V | tail -n1 | cut -c $(expr ${#basedir} + 3)- )
echo $versions versions
#exit

for v in $(seq 1 $versions); do
  rm -rf $basedir/v$v.diff
  rm -rf $basedir/v$v.new.diff
  for file in $(find $basedir/v$v -type f | cut -c $(expr $(expr length $basedir/v$v) + 2)-); do
	if [[ "$file" == *.cil.c ]] 
	then echo Ignoring v$v/$file
	else 
	  #if [[ "$basedir/v$v/$file" == *.c ]]
	  #then	
	  #DELME
	  #	temp=nothing 
	  ##diff $basedir/orig/$file $basedir/v$v/$file
	  #fi
	  BASE=$file ./difftool.sh $basedir/orig/$file $basedir/v$v/$file >> $basedir/v$v.diff
	fi
  done
done

